Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::StringIterator Class Reference

UTF-8 string iterator base class. More...

`#include <inti/utf-string.h>`

Inheritance diagram for Inti::StringIterator:

List of all members.

## Public Member Functions

- G::Unichar operator * () const
    Dereference operator.
- const char * base () const
    Returns a pointer to the first byte of the UTF-8 character pointed to.

## Protected Member Functions

- StringIterator ()
    Default constructor.
- StringIterator (const char *pos)
    Construct a new iterator that points to pos.

## Protected Attributes

- char * pos_
    The first byte of the UTF-8 character the iterator currently points to.

## Detailed Description

UTF-8 string iterator base class.

## Constructor & Destructor Documentation

Inti::StringIterator::StringIterator | ( | const char * | pos | ) | `[protected]`

  | Construct a new iterator that points to pos. Parameters:
  pos | The first byte of the UTF-8 character the new iterator is to points to.

## Member Function Documentation

G::Unichar Inti::StringIterator::operator * | ( |  | ) | const

| Dereference operator. Returns: The UTF-8 character pointed to, as a G::Unichar character (unicode).

The documentation for this class was generated from the following file:

- utf-string.h

Main Page - Footer